Index: /trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- /trunk/SophyaPI/PIext/nobjmgr.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/nobjmgr.cc	(revision 3572)
@@ -20,12 +20,7 @@
 #include "dvlist.h"
 
-// EVOL-PLANCK
-#ifdef SANS_EVOLPLANCK
-#include "fitsimage.h"  
-#else
 #include "tvector.h"
 #include "pitvmaad.h"
 #include "piyfxdrw.h"
-#endif
 
 #include "pisurfdr.h"
@@ -259,9 +254,5 @@
   }
   NObjMgrSync zs(0); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK
-  bool fg = true;
-#else
   bool fg = myVars->HasKey(key);
-#endif
   myVars->SetS(key, val);
   //  cout << " DEBUG::SetVar " << *myVars << endl;
@@ -277,12 +268,5 @@
   }
   NObjMgrSync zs(0); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK
-  DVList::ValList::const_iterator it;
-  for(it=myVars->Begin(); it!= myVars->End(); it++)
-    if ((*it).first == key)  return true;
-  return(false);
-#else
   return(myVars->HasKey(key));
-#endif
 }
 
@@ -295,9 +279,5 @@
   }
   NObjMgrSync zs(0); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK
-  return(false);
-#else
   return(myVars->DeleteKey(key));
-#endif
 }
 
@@ -945,13 +925,4 @@
 PPersist* ppobj=NULL;
 bool ok = true;
-#ifdef SANS_EVOLPLANCK
-TRY{
-  PInPersist pis(flnm);
-  ppobj = PPersistMgr::ReadObject(pis);
-  if (ppobj == NULL) ok = false;
-}  CATCH(merr) 
-  { printf("NamedObjMgr::ReadObj()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } ENDTRY;
-#else
 try {
   PInPersist pis(flnm);
@@ -962,5 +933,4 @@
   ok = false;
   }
-#endif
 if (!ok)  return;
 if (nobj.length()<1)  nobj = servnobjm->FileName2Name(flnm);
@@ -1011,7 +981,4 @@
 {
 int_4 i; // $CHECK$ int -> int_4 a cause de TagKey
-#ifdef SANS_EVOLPLANCK
-int_4 cid, key, ln; // $CHECK$ int -> int_4 a cause de TagKey
-#endif
 int n0, n1;
 bool ok = true;
@@ -1021,9 +988,5 @@
 int nread = 0;
 int nbtags = 0;
-#ifdef SANS_EVOLPLANCK
-nbtags = s.NbTags();
-#else 
 nbtags = s.NbNameTags();
-#endif
 if ( (nbtags < 1) || (num >= nbtags) ) {
   if (num >= 0) { 
@@ -1033,13 +996,4 @@
   }
 
-#ifdef SANS_EVOLPLANCK
-  TRY {
-    obj = PPersistMgr::ReadObject(s);
-    if (obj == NULL)  ok = false;
-  }  CATCH(merr) { 
-    printf("NamedObjMgr::ReadObj()/Error Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-    ok = false; 
-  } ENDTRY;
-#else
 try {
   obj = s.ReadObject();
@@ -1049,5 +1003,4 @@
   ok = false;
   }
-#endif
 
   if (!ok)  return;
@@ -1060,17 +1013,4 @@
 else { n0 = num; n1 = num+1; }
 for(i=n0; i<n1; i++) {
-#ifdef SANS_EVOLPLANCK
-  key = s.TagKey(i, cid, ln); 
-  if (ln <= 0)  nom = "";
-  else nom = s.TagName(i);
-  s.GotoTag(i);
-  TRY {
-    obj = PPersistMgr::ReadObject(s);
-    if (obj == NULL)  ok = false;
-  }  CATCH(merr) { 
-    printf("NamedObjMgr::ReadObj()/Error Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-    ok = false; 
-  } ENDTRY;
-#else
   s.GotoNameTagNum(i);
   nom = s.GetTagName(i);
@@ -1082,5 +1022,4 @@
     ok = false;
     }
-#endif
   if (ok)  { AddObj_P(obj->DataObj(), nom, true);  nread++; }
 }
@@ -1095,25 +1034,4 @@
   //    sinon, tous les objets sequentiellement
 {
-#ifdef SANS_EVOLPLANCK
-bool ok = true;
-PPersist* obj=NULL;
-
-PInPersist* ppin=NULL;
-TRY{
-  ppin = new PInPersist(flnm);
-  if (ppin->NbTags() < 1)  obj = PPersistMgr::ReadObject((*ppin));
-  else obj = NULL;
-}  CATCH(merr) 
-  { printf("NamedObjMgr::ReadAll()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } 
-ENDTRY;
-if (!ok)  return;
-if (obj) {
-  string nom = servnobjm->FileName2Name(flnm);
-  AddObj(obj->DataObj(), nom, false);
-  }
-else ReadObj((*ppin), -1);
-delete ppin;
-#else
 try {
   PInPersist pis(flnm);
@@ -1151,5 +1069,4 @@
   cerr << "NamedObjMgr::ReadAll()/Error Exception - Msg= " << iox.Msg() << endl;
 }
-#endif
 return;
 }
@@ -1193,11 +1110,4 @@
 bool ok = true;
 POutPersist* pout=NULL;
-#ifdef SANS_EVOLPLANCK 
-TRY{
-  pout = new POutPersist(flnm);
-}  CATCH(merr) 
-  { printf("NamedObjMgr::SaveObjects()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } ENDTRY;
-#else
 try {
  pout = new POutPersist(flnm);
@@ -1207,5 +1117,4 @@
     ok = false;
 }
-#endif
 if (!ok)  return;
 NObjList::iterator it;
@@ -1262,11 +1171,4 @@
 
 POutPersist* pout=NULL;
-#ifdef SANS_EVOLPLANCK 
-TRY{
-  pout = new POutPersist(flnm);
-}  CATCH(merr) 
-  { printf("NamedObjMgr::SaveAll()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } ENDTRY;
-#else
 try {
  pout = new POutPersist(flnm);
@@ -1276,5 +1178,4 @@
     ok = false;
 }
-#endif
 if (!ok)  return;
 NObjList::iterator it;
@@ -1583,8 +1484,4 @@
 NObjMgrSync zs(0); zs.NOp(); 
 
-#ifdef SANS_EVOLPLANCK
-  cerr << " NamedObjMgr::DisplayVector() Error: Not implemented with PEIDA " << endl;
-#else
-
 if(!myImgApp) return; 
 
@@ -1651,5 +1548,4 @@
 return;
 
-#endif
 }
 
Index: /trunk/SophyaPI/PIext/nomgfdadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 3572)
@@ -9,7 +9,5 @@
 #include "pipodrw.h"
 
-#ifndef SANS_EVOLPLANCK
 #include "objfitter.h"
-#endif
 
 //-------------------------------------------------------------------------
@@ -53,11 +51,6 @@
 void NOMAdapter_GeneralFitData::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-string tag = nom;  // A cause de const
-mG->Write(pos,0,tag);
-#else
 ObjFileIO<GeneralFitData> fio(mG);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -113,9 +106,5 @@
 {
 GeneralFitData* g = NULL;
-#ifdef SANS_EVOLPLANCK
-g = mG->FitResidus(mfit); 
-#else
 g = new GeneralFitData(ObjectFitter::FitResidus(*mG,mfit));
-#endif
 return g;
 }
@@ -124,9 +113,5 @@
 {
 GeneralFitData* g = NULL;
-#ifdef SANS_EVOLPLANCK
-g = mG->FitFunction(mfit); 
-#else
 g = new GeneralFitData(ObjectFitter::FitFunction(*mG,mfit));
-#endif
 return g;
 }
Index: /trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 3572)
@@ -16,10 +16,8 @@
 #include "strutilxx.h"
 
-#ifndef SANS_EVOLPLANCK
 #include "objfitter.h"
 // Pour les DataTable ( Depuis Avril 2005 )
 #include "datatable.h"
 #include "swppfdtable.h"
-#endif
 
 //-----------------------------------------------------------------------------
@@ -139,12 +137,6 @@
 void NOMAdapter_Histo::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mHis->Write(pos,0,tag);
-#else
 ObjFileIO<Histo> fio(mHis);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -204,9 +196,5 @@
 {
 Histo* h = NULL;
-#ifdef SANS_EVOLPLANCK
-h = mHis->FitResidus(mfit); 
-#else
 h = new Histo(ObjectFitter::FitResidus(*mHis,mfit));
-#endif
 return h;
 }
@@ -215,9 +203,5 @@
 {
 Histo* h = NULL;
-#ifdef SANS_EVOLPLANCK
-h = mHis->FitFunction(mfit); 
-#else
 h = new Histo(ObjectFitter::FitFunction(*mHis,mfit));
-#endif
 return h;
 }
@@ -316,12 +300,6 @@
 void NOMAdapter_Histo2D::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mHis->Write(pos,0,tag);
-#else
 ObjFileIO<Histo2D> fio(mHis);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -389,9 +367,5 @@
 {
 Histo2D* h2 = NULL;
-#ifdef SANS_EVOLPLANCK
-h2 = mHis->FitFunction(mfit);
-#else
 h2 = new Histo2D(ObjectFitter::FitResidus(*mHis,mfit));
-#endif
 return h2;
 }
@@ -400,9 +374,5 @@
 {
 Histo2D* h2 = NULL;
-#ifdef SANS_EVOLPLANCK
-h2 = mHis->FitFunction(mfit);
-#else
 h2 = new Histo2D(ObjectFitter::FitFunction(*mHis,mfit));
-#endif
 return h2;
 }
@@ -555,12 +525,6 @@
 void NOMAdapter_NTuple::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mNt->Write(pos,0,tag);
-#else
 ObjFileIO<NTuple> fio(mNt);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -571,13 +535,13 @@
 char buff[128];
 if (opts[0] == "sizes") {
-  sprintf(buff, "%ld %ld", mNt->NEntry(), mNt->NVar());
+  sprintf(buff, "%ld %ld", (long)mNt->NEntry(), (long)mNt->NVar());
   return string(buff);   
 }
 else if ((opts[0] == "nlines") || (opts[0] == "nentry") || (opts[0] == "nrows")) {
-  sprintf(buff, "%ld", mNt->NEntry());
+  sprintf(buff, "%ld", (long)mNt->NEntry());
   return string(buff);   
 }
 else if ((opts[0] == "nvar") || (opts[0] == "ncols")) {
-  sprintf(buff, "%ld", mNt->NVar());
+  sprintf(buff, "%ld", (long)mNt->NVar());
   return string(buff);   
 }
@@ -610,68 +574,4 @@
 return(mNt);
 // return( new NTupInt_NTuple(mNt) );
-}
-
-//-------------------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet XNTuple
-//-------------------------------------------------------------------------
-
-/* --Methode-- */
-NOMAdapter_XNTuple::NOMAdapter_XNTuple(XNTuple* o)
-  : NObjMgrAdapter(o)
-{
-mNt = o;
-}
-
-/* --Methode-- */
-NOMAdapter_XNTuple::~NOMAdapter_XNTuple()
-{
-}
-
-/* --Methode-- */
-NObjMgrAdapter* NOMAdapter_XNTuple::Clone(AnyDataObj* o)
-{
-XNTuple* nt = dynamic_cast<XNTuple *>(o);
-if (nt) return ( new NOMAdapter_XNTuple(nt) );
-return ( new NObjMgrAdapter(o) );
-}
-
-/* --Methode-- */
-string NOMAdapter_XNTuple::GetDataObjType()
-{
-return ("XNTuple ");
-}
-
-/* --Methode-- */
-AnyDataObj* NOMAdapter_XNTuple::CloneDataObj(bool /*share*/)
-{
-return ( new XNTuple(*mNt) );
-}
-
-/* --Methode-- */
-void NOMAdapter_XNTuple::SavePPF(POutPersist& pos, string const & nom)
-{
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mNt->Write(pos,0,tag);
-#else
-ObjFileIO<XNTuple> fio(mNt);
-fio.Write(pos, nom);
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_XNTuple::Print(ostream& os, int lev)
-{
-// os << mNt->Info();
-mNt->Show(os);
-}
-
-
-/* --Methode-- */
-NTupleInterface* NOMAdapter_XNTuple::GetNTupleInterface(bool& adel)
-{
-adel = false;
-return(mNt);
 }
 
@@ -751,13 +651,13 @@
 char buff[128];
 if (opts[0] == "sizes") {
-  sprintf(buff, "%ld %ld", mDT->NEntry(), mDT->NVar());
+  sprintf(buff, "%ld %ld", (long)mDT->NEntry(), (long)mDT->NVar());
   return string(buff);   
 }
 else if ((opts[0] == "nlines") || (opts[0] == "nentry") || (opts[0] == "nrows")) {
-  sprintf(buff, "%ld", mDT->NEntry());
+  sprintf(buff, "%ld", (long)mDT->NEntry());
   return string(buff);   
 }
 else if ((opts[0] == "nvar") || (opts[0] == "ncols")) {
-  sprintf(buff, "%ld", mDT->NVar());
+  sprintf(buff, "%ld", (long)mDT->NVar());
   return string(buff);   
 }
Index: /trunk/SophyaPI/PIext/nomhistadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nomhistadapter.h	(revision 3571)
+++ /trunk/SophyaPI/PIext/nomhistadapter.h	(revision 3572)
@@ -12,5 +12,4 @@
 #include "hisprof.h"
 #include "ntuple.h"
-#include "xntuple.h"
 #include "basedtable.h"
 
@@ -142,27 +141,4 @@
 };
 
-//-------------------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet XNTuple 
-//-------------------------------------------------------------------------
-
-class NOMAdapter_XNTuple : public NObjMgrAdapter {
-public:
-				NOMAdapter_XNTuple(XNTuple* nt = NULL);
-  virtual			~NOMAdapter_XNTuple();
-
-  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-
-  virtual string		GetDataObjType();
-
-  virtual AnyDataObj*		CloneDataObj(bool share=false);
-
-  virtual void			SavePPF(POutPersist& s, string const & nom);
-
-  virtual void			Print(ostream& os, int lev=0);
-  virtual NTupleInterface*	GetNTupleInterface(bool& adel);
-
-protected:
-  XNTuple* mNt;
-};
 
 //-------------------------------------------------------------------------
Index: /trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 3572)
@@ -11,9 +11,5 @@
 #include "pimgadapter.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "fitsimage.h"
-#else
 #include "objfitter.h"
-#endif
 
 
@@ -62,11 +58,5 @@
 AnyDataObj* NOMAdapter_Image<T>::CloneDataObj(bool share)
 {
-#ifdef SANS_EVOLPLANCK
-FitsImage<T> * fima = dynamic_cast<FitsImage<T> *>(mImg);
-if (fima == NULL)   return( new Image<T>(*mImg ) );
-else return ( new FitsImage<T>(*fima) );
-#else
 return( new Image<T>(*mImg, share) );
-#endif
 }
 
@@ -76,12 +66,6 @@
 void NOMAdapter_Image<T>::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mImg->Write(pos,0,tag);
-#else
 string s = typeid(*mObj).name();
 cout << "NOMAdapter_Image<T>::SavePPF() - Error : Not supported for " << s << endl;
-#endif
 }
 
@@ -147,12 +131,6 @@
 AnyDataObj* NOMAdapter_Image<T>::FitResidusObj(GeneralFit& mfit)
 {
-#ifdef SANS_EVOLPLANCK
-RzImage* rzim = mImg->FitResidus(mfit);  
-ImageR4* im   = new ImageR4(*rzim);
-return im;
-#else
 Image<T>* im = new Image<T>(ObjectFitter::FitResidus(*mImg,mfit));
 return im;
-#endif
 }
 
@@ -160,13 +138,7 @@
 AnyDataObj* NOMAdapter_Image<T>::FitFunctionObj(GeneralFit& mfit)
 {
-#ifdef SANS_EVOLPLANCK
-RzImage* rzim = mImg->FitFunction(mfit);  
-ImageR4* im   = new ImageR4(*rzim);
-return im;
-#else
 Image<T>* im = NULL;
 //im = new Image<T>(ObjectFitter::FitFunction(*mImg,mfit));
 return im;
-#endif
 }
 
@@ -236,8 +208,4 @@
 #pragma define_template NTupInt_Image<r_4>
 #pragma define_template NTupInt_Image<r_8>
-#ifdef SANS_EVOLPLANCK
-#pragma define_template NOMAdapter_Image<int_2>
-#pragma define_template NTupInt_Image<int_2>
-#endif
 #endif
 #if defined(ANSI_TEMPLATES) || defined(__ANSI_TEMPLATES__) || defined(__GNU_TEMPLATES__) 
@@ -250,9 +218,5 @@
 template class NTupInt_Image<r_4>;
 template class NTupInt_Image<r_8>;
-#ifdef SANS_EVOLPLANCK
-template class NOMAdapter_Image<int_2>;
-template class NTupInt_Image<int_2>;
 #endif
-#endif
-
-
+
+
Index: /trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 3572)
@@ -193,4 +193,6 @@
     return 1; 
   }
+
+  return 0;
 }
 
Index: /trunk/SophyaPI/PIext/pawexecut.cc
===================================================================
--- /trunk/SophyaPI/PIext/pawexecut.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/pawexecut.cc	(revision 3572)
@@ -23,11 +23,6 @@
 #include "pihisto.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-#include "matrix.h"
-#else
 #include "tmatrix.h"
 #include "tvector.h"
-#endif
 
 /* Reza + cmv  13/10/99 */
@@ -421,13 +416,8 @@
 string ctyp = typeid(*mobj).name();
 
-#ifdef SANS_EVOLPLANCK
-if(typeid(*mobj)==typeid(Vector))       {Vector*  ob=(Vector*) mobj; ob->Zero();}
-else if(typeid(*mobj)==typeid(Matrix))  {Matrix*  ob=(Matrix*) mobj; ob->Zero();}
-#else
  if(typeid(*mobj)==typeid(Vector))       {Vector*  ob=(Vector*) mobj; (*ob) = 0.; }
 // ob->DataBlock().Reset(0.);}
  else if(typeid(*mobj)==typeid(Matrix))   {Matrix*  ob=(Matrix*) mobj; (*ob) = 0.; }
 //ob->DataBlock().Reset(0.);}
-#endif
 else if(typeid(*mobj)==typeid(Histo))    {Histo* ob=(Histo*)  mobj; ob->Zero();}
 else if(typeid(*mobj)==typeid(HProf))    {HProf* ob=(HProf*)  mobj; ob->Zero();}
@@ -701,16 +691,8 @@
   }
 }   // fin du try
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); cout<<endl; cerr<<endl;
-  string es = PeidaExc(merr);
-  cerr<<"Services2NObjMgr::ComputeExpressions()  Exception :"<<merr<<es;
-} ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); cout<<endl; cerr<<endl;
   cerr<<"Services2NObjMgr::ComputeExpressions()  Exception :"<<exc.Msg()<<endl; 
 }
-#endif
 
 if(adel) delete objnt;
@@ -1380,9 +1362,6 @@
 r_8 norm=-1.;
 if(tokens.size()>=2) norm = atof(tokens[1].c_str());
-#ifdef SANS_EVOLPLANCK
-Vector* v = dynamic_cast<Vector*>(mobj);
-#else
+
 TVector<r_8>* v = dynamic_cast<TVector<r_8>*>(mobj);
-#endif
 
 if(!v)
@@ -1390,9 +1369,5 @@
   return;}
 
-#ifdef SANS_EVOLPLANCK
-uint_4 n = v->NElts();
-#else
 uint_4 n = v->Size();
-#endif
 
 if(n==0)
@@ -1507,9 +1482,5 @@
 if(tokens.size()>=2) deriv_option = atoi(tokens[1].c_str());
 
-#ifdef SANS_EVOLPLANCK
-Vector* v = dynamic_cast<Vector*>(mobj);
-#else
 TVector<r_8>* v = dynamic_cast<TVector<r_8>*>(mobj);
-#endif
 
 if(!v)
@@ -1517,10 +1488,5 @@
   return;}
 
-
-#ifdef SANS_EVOLPLANCK
-uint_4 n = v->NElts();
-#else
 uint_4 n = v->Size();
-#endif
 
 if(n==0)
@@ -1529,9 +1495,5 @@
 if(n<=1) return;
 
-#ifdef SANS_EVOLPLANCK
-Vector vsave(*v);
-#else
 TVector<r_8> vsave(*v,false);
-#endif
 
 if(deriv_option<0) {
@@ -1742,9 +1704,5 @@
   Vector* h3 = NULL;
   if( mobjh3 == NULL ) {  // l'objet n'existe pas, on le cree
-#ifdef SANS_EVOLPLANCK
-    h3 = new Vector(*h1);
-#else
     h3 = new Vector(*h1,false);
-#endif
     *h3 = 0.; omg.AddObj(h3,h3name); mobjh3 = omg.GetObj(h3name);
   }
@@ -1758,12 +1716,6 @@
   if( oper[0]=='+')      *h3 = *h1 + *h2;
   else if( oper[0]=='-') *h3 = *h1 - *h2;
-#ifdef SANS_EVOLPLANCK
-  else if(oper[0]=='*' || oper[0]=='/')
-    cout<<"PAWExecutor::h_oper Error: operation "<<oper[0]
-        <<" not implemented for Vector in Peida"<<endl;
-#else
   else if( oper[0]=='*') {h3->Clone(*h1); h3->MulElt(*h2,*h3);}
   else if( oper[0]=='/') {h3->Clone(*h1); h3->DivElt(*h2,*h3,false,true);}
-#endif
 
 // Operations on Matrix
@@ -1781,9 +1733,5 @@
   Matrix* h3 = NULL;
   if( mobjh3 == NULL ) {  // l'objet n'existe pas, on le cree
-#ifdef SANS_EVOLPLANCK
-    h3 = new Matrix(*h1);
-#else
     h3 = new Matrix(*h1,false);
-#endif
     *h3 = 0.; omg.AddObj(h3,h3name); mobjh3 = omg.GetObj(h3name);
   }
@@ -1798,12 +1746,6 @@
   if( oper[0]=='+')      *h3 = *h1 + *h2;
   else if( oper[0]=='-') *h3 = *h1 - *h2;
-#ifdef SANS_EVOLPLANCK
-  else if(oper[0]=='*' || oper[0]=='/')
-    cout<<"PAWExecutor::h_oper Error: operation "<<oper[0]
-        <<" not implemented for Vector in Peida"<<endl;
-#else
   else if( oper[0]=='*') {h3->Clone(*h1); h3->MulElt(*h2,*h3);}
   else if( oper[0]=='/') {h3->Clone(*h1); h3->DivElt(*h2,*h3,false,true);}
-#endif
 
 // Doesn't work for other objects
Index: /trunk/SophyaPI/PIext/piacmd.cc
===================================================================
--- /trunk/SophyaPI/PIext/piacmd.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/piacmd.cc	(revision 3572)
@@ -12,9 +12,5 @@
 #include "strutilxx.h"
 // #include "dlftypes.h"
-#ifdef SANS_EVOLPLANCK
-#include "nbrandom.h"
-#else
 #include "srandgen.h"
-#endif
 
 #include "pistdimgapp.h"
Index: /trunk/SophyaPI/PIext/piafitting.cc
===================================================================
--- /trunk/SophyaPI/PIext/piafitting.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/piafitting.cc	(revision 3572)
@@ -25,12 +25,7 @@
 #include "hisprof.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "matrix.h"
-#include "cvector.h"
-#else
 #include "tmatrix.h"
 #include "tvector.h"
 #include "objfitter.h"
-#endif
 
 #include "piafitting.h"
@@ -42,9 +37,5 @@
 #include "nomgfdadapter.h"
 #include "nomimagadapter.h"
-#ifdef SANS_EVOLPLANCK
-#include "nommatvecadapter.h"
-#else
 #include "nomtmatvecadapter.h"
-#endif
 
 ////////////////////////////////////////////////////////////////////
@@ -854,11 +845,6 @@
 
 // Fit
-#ifdef SANS_EVOLPLANCK
-mParSave = mPar; mStepSave = mStep; mFixSave = mFix;
-mMinSave = mMin; mMaxSave = mMax;
-#else
 mParSave.Clone(mPar); mStepSave.Clone(mStep); mFixSave.Clone(mFix);
 mMinSave.Clone(mMin); mMaxSave.Clone(mMax);
-#endif
 mOptSave = mOpt;
 double c2r = -1.;
@@ -1218,9 +1204,5 @@
 , saveErrScale(1.),saveErrMin(0.), saveXC(0.), saveYC(0.)
 {
-#ifdef SANS_EVOLPLANCK
-COMPATIBLE_ASSERT(mFitter);
-#else
 ASSERT(mFitter);
-#endif
 
 int npar = mFitter->mNPar;
Index: /trunk/SophyaPI/PIext/piafitting.h
===================================================================
--- /trunk/SophyaPI/PIext/piafitting.h	(revision 3571)
+++ /trunk/SophyaPI/PIext/piafitting.h	(revision 3572)
@@ -21,9 +21,4 @@
 class PIAFitterWind;
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-class GeneralFunction; class GeneralFunc; class GeneralFit;
-class GeneralFitData;
-#else
 #include "tvector.h"
 namespace SOPHYA { 
@@ -31,5 +26,4 @@
 class GeneralFitData;
 }
-#endif
 
 class PIAFitter : public CmdExecutor {
Index: /trunk/SophyaPI/PIext/piinit.cc
===================================================================
--- /trunk/SophyaPI/PIext/piinit.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/piinit.cc	(revision 3572)
@@ -11,9 +11,4 @@
 #include "nomimagadapter.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "nommatvecadapter.h"
-#include "fitsimage.h"
-#include "nomstladapter.h"
-#else
 #include <complex>
 #include "nomtmatvecadapter.h"
@@ -35,14 +30,9 @@
 #include "piaversion.h"
 
-#endif
 
 int PIAppInitiator::FgInit = 0;
 
 PIAppInitiator::PIAppInitiator(PIStdImgApp * app)
-#ifdef SANS_EVOLPLANCK
- : PeidaStarRecoInitiator()
-#else
  : SambaInitiator()
-#endif
 {
   FgInit++;
@@ -63,14 +53,7 @@
   serv->RegisterClass(new DataTable, new NOMAdapter_DataTable );
   serv->RegisterClass(new SwPPFDataTable, new NOMAdapter_DataTable );
-  char* varenv=NULL;
-  if ( (varenv=getenv("PEIDA_TMP")) == NULL )   varenv=getenv("TMPDIR") ;
-  if (varenv)  XNTuple::SetSwapPath(varenv);
 
   serv->RegisterClass(new GeneralFitData, new NOMAdapter_GeneralFitData );
 
-#ifdef SANS_EVOLPLANCK
-  serv->RegisterClass(new Vector, new NOMAdapter_Vector );
-  serv->RegisterClass(new Matrix, new NOMAdapter_Matrix );
-#else
 //  Octobre 2008 : prise en charge tableaux/matrice/vecteurs en uint_4 uint_8 
   serv->RegisterClass(new TArray<uint_2>, new NOMAdapter_TArray<uint_2> );
@@ -105,5 +88,4 @@
   serv->RegisterClass(new TVector<complex<r_8> >, new NOMAdapter_TMatrix<complex<r_8> > );
   serv->RegisterClass(new TMatrix<complex<r_8> >, new NOMAdapter_TMatrix<complex<r_8> > );
-#endif
 
   /*  Avril 2007 : Prise en charge des images par NOMAdapter_TMatrix  au lieu de
@@ -120,18 +102,4 @@
   serv->RegisterClass(new Image<complex<r_8> >, new NOMAdapter_TMatrix<complex<r_8> > );
 
-#ifdef SANS_EVOLPLANCK
-  serv->RegisterClass(new Image<uint_2>, new  NOMAdapter_Image<uint_2> );
-  serv->RegisterClass(new Image<int_2>, new  NOMAdapter_Image<int_2> );
-  serv->RegisterClass(new Image<int_4>, new  NOMAdapter_Image<int_4> );
-  serv->RegisterClass(new Image<r_4>, new  NOMAdapter_Image<r_4> );
-  serv->RegisterClass(new Image<r_8>, new  NOMAdapter_Image<r_8> );
-
-  serv->RegisterClass(new FitsImage<uint_2>, new  NOMAdapter_Image<uint_2> );
-  serv->RegisterClass(new FitsImage<int_2>, new  NOMAdapter_Image<int_2> );
-  serv->RegisterClass(new FitsImage<int_4>, new  NOMAdapter_Image<int_4> );
-  serv->RegisterClass(new FitsImage<r_4>, new  NOMAdapter_Image<r_4> );
-
-  serv->RegisterClass(new StarList, new NOMAdapter_StarList );
-#else
   serv->RegisterClass(new LocalMap<int_4>, new NOMAdapter_PixelMap<int_4> );
   serv->RegisterClass(new SphereThetaPhi<int_4>, new NOMAdapter_PixelMap<int_4> );
@@ -159,5 +127,4 @@
 
   SophyaInitiator::RegisterModule("PIext/piapp", PIAPP_VERSIONNUMBER);
-#endif  
 }
 
Index: /trunk/SophyaPI/PIext/piinit.h
===================================================================
--- /trunk/SophyaPI/PIext/piinit.h	(revision 3571)
+++ /trunk/SophyaPI/PIext/piinit.h	(revision 3572)
@@ -12,9 +12,5 @@
 // Classe d initialisation pour le module PIext de PEIDA
 
-#ifdef SANS_EVOLPLANCK
-class PIAppInitiator : public PeidaStarRecoInitiator {
-#else
 class PIAppInitiator : public SambaInitiator {
-#endif
 private:
   static int FgInit;
Index: /trunk/SophyaPI/PIext/pimgadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/pimgadapter.h	(revision 3571)
+++ /trunk/SophyaPI/PIext/pimgadapter.h	(revision 3572)
@@ -5,20 +5,4 @@
 #include "parradapter.h"
 
-#ifdef SANS_EVOLPLANCK 
-class RzImageAdapter : public P2DArrayAdapter {
-public:
-                  RzImageAdapter(RzImage* rzi, bool ad=false) :
-                    P2DArrayAdapter(rzi->XSize(), rzi->YSize())
-                    { aDel = ad; mImg = rzi; 
-                    DefineXYCoordinates(rzi->XOrg(), rzi->YOrg(), 1., 1. ); }
-
-  virtual 	  ~RzImageAdapter() { if (aDel) delete mImg; }
-  virtual double  Value(int ix, int iy) { return mImg->FValue(ix, iy); }
-
-protected :
-  bool aDel;
-  RzImage* mImg;
-};
-#endif
 
 template <class T> 
Index: /trunk/SophyaPI/PIext/pipodrw.cc
===================================================================
--- /trunk/SophyaPI/PIext/pipodrw.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/pipodrw.cc	(revision 3572)
@@ -56,56 +56,3 @@
 
 
-#ifdef SANS_EVOLPLANCK
 
-// ----------------------------------------------------------
-// Adaptateur de vecteurs Peida++ a P1DArrayAdapter
-// ----------------------------------------------------------
-
-/* --Methode-- */
-POVectorAdapter::POVectorAdapter(Vector* v, bool ad)
-        : P1DArrayAdapter(v->NElts())
-{
-aDel = ad; mVec = v;
-}
-
-/* --Methode-- */
-POVectorAdapter::~POVectorAdapter()
-{
-if (aDel) delete mVec;
-}
-
-/* --Methode-- */
-double POVectorAdapter::Value(int i)
-{ 
-return((*mVec)(i)); 
-}
-
-------- FIN SUPPRESSION */
-
-// ----------------------------------------------------------
-// Adaptateur de matrice Peida++ a P2DArrayAdapter
-// Attention  Y: Lignes (rows)  X: Colonnes
-// ----------------------------------------------------------
-
-/* --Methode-- */
-POMatrixAdapter::POMatrixAdapter(Matrix* mtx, bool ad)
-        : P2DArrayAdapter(mtx->NCol(), mtx->NRows())
-{
-aDel = ad; mMtx = mtx;
-}
-
-/* --Methode-- */
-POMatrixAdapter::~POMatrixAdapter()
-{
-if (aDel)  delete mMtx;
-}
-
-/* --Methode-- */
-double POMatrixAdapter::Value(int ix, int iy)
-{
-// Attention MatrixAdapter(X=Colonne, Y= Row) = Matrix(row, col)  
-return((*mMtx)(iy, ix));
-}
-
-#endif   // SANS_EVOLPLANCK
-
Index: /trunk/SophyaPI/PIext/pipodrw.h
===================================================================
--- /trunk/SophyaPI/PIext/pipodrw.h	(revision 3571)
+++ /trunk/SophyaPI/PIext/pipodrw.h	(revision 3572)
@@ -13,9 +13,5 @@
 #include "hist2err.h"
 
-#ifdef SANS_EVOLPLANCK
-class GeneralFunction;
-#else
 namespace SOPHYA {class GeneralFunction;} 
-#endif
 
 class PIGFFDrawer : public PIDrawer {
@@ -34,35 +30,3 @@
 
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-#include "matrix.h"
-
-// Adaptateur de vecteurs Peida++ a P1DArrayAdapter
-class POVectorAdapter : public P1DArrayAdapter {
-public :
-                  POVectorAdapter(Vector* v, bool ad=false);
-  virtual         ~POVectorAdapter();
-  virtual double  Value(int i);
-
-protected:
-  bool aDel;
-  Vector* mVec;
-};
-
-// Adaptateur de matrice Peida++ a P2DArrayAdapter
-// Attention MatrixAdapter(X=Colonne, Y= Row) = Matrix(row, col)  
-class POMatrixAdapter :  public P2DArrayAdapter {
-public :
-                  POMatrixAdapter(Matrix* mtx, bool ad=false);
-  virtual         ~POMatrixAdapter();
-
-  virtual double  Value(int ix, int iy);   
-
-protected:
-  bool aDel;
-  Matrix* mMtx;
-};
-
-#endif   // SANS_EVOLPLANCK
-
 #endif
Index: /trunk/SophyaPI/PIext/pisiadw.cc
===================================================================
--- /trunk/SophyaPI/PIext/pisiadw.cc	(revision 3571)
+++ /trunk/SophyaPI/PIext/pisiadw.cc	(revision 3572)
@@ -244,11 +244,4 @@
 
 bool ok = true;
-#ifdef SANS_EVOLPLANCK
-TRY {
-  mPin = new PInPersist(flnm);
-}  CATCH(merr) 
-  { printf("ObjMgrWind::SetFile Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-  ok = false; } ENDTRY;
-#else
 try {
   mPin = new PInPersist(flnm);
@@ -258,14 +251,9 @@
   ok = false;
   }
-#endif
 
 if (!ok) { mPin = NULL;  dap->SetReady(); return; }
 
 int nbtags = 0;
-#ifdef SANS_EVOLPLANCK
-nbtags = mPin->NbTags();
-#else 
 nbtags = mPin->NbNameTags();
-#endif
 
 if (nbtags < 1) {
@@ -282,15 +270,4 @@
 objlist->SetBorderWidth(2);
 
-
-#ifdef SANS_EVOLPLANCK
-for(i=0; i<mPin->NbTags(); i++) {
-  key = mPin->TagKey(i, cid, ln);  // $CHECK$ non-const & reference initialized to temporary, car int -> long&
-  if (ln <= 0)  nom = "?";
-  else { strncpy(noms, mPin->TagName(i).c_str(), 31);  noms[31] = '\0'; nom = noms; }
-  sprintf(strg, "%s  (T=%s, Key=%d)",  nom, dap->ObjMgr()->GetServiceObj()->PClassIdToClassName(cid), key);
-  //  sprintf(strg, "%s  (T=%s, Key=%d)",  nom, " DataObject ?", key);  Attention SANS_EVOLPLANCK
-  objlist->AppendItem(strg, 5000+i);
-}
-#else
 string tn;
 for(i=0; i<mPin->NbNameTags(); i++) {
@@ -298,5 +275,4 @@
   objlist->AppendItem(tn.c_str(), 5000+i);
 }
-#endif
 
 }
